/*
*Add custom Styles to "/custom/styles.css"
*
*thx for "pimp" to D.F. ;) 
*/

body {
    font-family: sans-serif;
    max-width: 1200px;
    margin:auto;
    padding:0;
}
form {
    display: inline;
}

.backButton{
    float:right;
}

h1{
    margin-top: 0em;
    margin-bottom: 1rem;
}

h2{
    margin-top: 0em;
    margin-bottom: 1rem;
}

h3{
    font-size: 1rem;
    margin-left:2px;
    font-weight: normal;
    margin-top: 0px;
    margin-bottom: 1rem;
}

.pageDescription{
    margin-bottom: 1em;
    padding: 0.5em;
    border: 1px solid lightgrey;
}

#templateContent{
    margin-bottom: 1em;
    padding: 0.5em;
    border: 1px solid lightgrey;
}
#templateContent textarea{
    margin-bottom: 1em;
    padding: 0.5em;
    width: 96%;
    color: blue;
    height:20em;
    font-size:150%;
    font-weight: bold;
    border: 1px solid lightgrey;
}

legend{
    font-size: larger;
    font-weight: bold;
}

fieldset{
    padding-top: 0em;
    padding-bottom: 0em;
    border: 1px solid lightgrey;
    margin: 1em 0;
}

.labeledOutput{
    display: block;
    margin-top: 1em;
    margin-bottom: 1em;
}

.labeledOutput label {
    font-weight: bold;
    display: block;
    float: left;
    width: 12em;
}

.labeledOutput input{
    width: 100%;
    display: block;
}

.labeledInput{
    display: block;
    margin-top: 1em;
    margin-bottom: 1em;
}

.personFieldset{
    padding-left: 1em;
    padding-bottom: 1em;
    margin-bottom: 1em;
}

.labeledInput label {
    font-weight: normal;
    display: block;
}

.labeledInput input:focus {
    border: 1px solid black;
    outline:0;
}

.template{
    padding: 1em;
}
.template select{
    width: 100%;
    margin-bottom: 1em;
    display: block;
}

.labeledInput input{
    width: 100%;
    display: block;
    border: 1px solid grey;
    padding:0.5em;
    margin-top:0.25em;
    max-width: 300px;
    font-size:1em;
}

.labeledInput textarea{
    width: 96%;
    display: block;
    border: 1px solid grey;
    padding:0.5em;
    margin-top:0.25em;
    margin-right:0.25em;
    height: 5em;
    font-size:1em;
}

select{
    width: 100%;
    display: block;
    border: 1px solid grey;
    padding:0.5em;
    margin-top:0.25em;
    font-size:1em;
}

.labeledInput textarea{
    width: 100%;
    display: block;
    height: 10em;
}

#deleteTemplate{
    float: right;
}

input[type="submit"]{
    cursor: pointer;
    border: 0;
    background:#eee;
    font-weight:bold;
    padding: 0.5em 1em;
    font-size:1em;
    margin-right:1px;
}

.labeledInput label[for="seats"]{
    margin-top: 2em;
}
.labeledInput input[name="seats"]{
    margin-bottom: 2em;
}

.labeledInput .checkbox{
    float: left;
    width: 1em !important;
}

.labeledInput .checkboxlabel{
    margin-left: 3em;
}

input[type="submit"]:hover {
    background: grey;
    color: white
}
fieldset input[type="submit"]{
    margin-bottom: 1em;
}

.bookingAction input{
    color: white;
    margin-bottom: 0.5em;
}

.initialisationAction{
    background: black !important;
    color: white !important;
    margin-bottom: 0.5em !important;
    width: 100%;
    white-space: normal;
}

.initialisationAction:hover {
    background: grey !important;
}

.bookingAction .showseats input{
    background: black;
    color: white;
    margin-top: 0.5em;
}

.bookingAction .dobooking input:hover {
    background: grey;
}

.submitStepB {
    background: black;
    color: white;
    margin-bottom: 0.5em;
}

.submitStepB:hover {
    background: grey;
}

.error {
    display: block;
    padding-top: 0.2em;
    padding-bottom: 0.2em;
    padding-left: 2em;
    padding-right: 2em;
    font-weight: normal;
    margin-bottom: 1em;
    padding: 0.5em;
    background: white;
    border: 2px solid #e4032e;
    color: black;
}

.callback {
    display: block;
    padding-top: 1em;
    padding-bottom: 1em;
    padding-left: 2em;
    padding-right: 2em;
    color: blue;
    font-weight: bold;
    border: 2px solid blue;
    margin-bottom: 1em;
}

.login {
    display: block;
    font-weight: bold;
    margin-bottom: 1em;
    padding: 1em;
    border: 1px solid lightgrey;
}

.login legend{
    color: black;
}

thead {
    font-weight: bold;
}

.info {
    display: block;
    padding-top: 0.2em;
    padding-bottom: 0.2em;
    padding-left: 2em;
    padding-right: 2em;
    color: #8baa43;
    border: 2px solid #8baa43;
    margin-bottom: 1em;
}

.description {
    display: block;
    font-size: smaller;
}

#overview{
	
}

#overview, #overview th, #overview td {
    border: 1px solid black;
    border-collapse: collapse;
}

#overview td{
    padding: 0.5em;
}

#bookings, #bookings th, #bookings td {
    border: 1px solid black;
    border-collapse: collapse;
}

#bookings td {
    vertical-align: top;
    padding: 0.1em;
}

.planFieldset{
    padding: 1em;
}

.bookingFieldset{
    padding: 1em;
}

#bookings {
    width:100%;
}

#bookings .delete {
    text-align: center;
    width: 8em;
}

#bookings .delete input{
    margin-bottom: 0em;
}

#bookings .id {
    width: 6em;
    text-align: left;
}

#bookings .bookingId {
    width: 6em;
}

#bookings .seatsCount {
    width: 6.5em;
}

#overview td {
    padding-left: 1em;
    padding-right: 1em;
}

#overview {
    width: 100%;
}


#overview .bookingAction{
    width: 15em;
}

#overview .notShownForAll{
    background: rgba(255,0,0,0.1);
}

#overview .notReleased{
	
}

#overview .started{
    color: grey;
    font-style: italic;
}

#overview .closedBooking{
    color: grey;
    font-style: italic;
}


#overview .date{
    width: 8em;
}

#overview .seats{
    width: 6em;
    text-align: center;
}

#overview .adminAction{
    width: 4em;
    text-align: center;
}
	
#overview .noEvents{
    font-weight: bold;
    text-align: center;
    padding-top: 1em;
    padding-bottom: 1em;
}

#plan{
    padding-left:2em;
    padding-right:2em;
}

#plan th, #plan td {
    border: 1px solid black;
}

#qr-canvas {
    position:absolute;
    top:0px;
    left:0px;
    width: 100%;
    height:100%;
}

.bookingqr{
    width:8em;
    height:8em;
    display: inline-block;
    float:right;
}

#plan td {
    width: 2em;
    height: 2em;
    text-align: center;
    vertical-align: middle;
}

#plan  .leftPadding{
    border: none;
}

#plan .free {
    background-color: white;
}

#plan{
    margin-left: auto;
    margin-right: auto;
}

#plan .gap {
    background-color: #e4032e;
}

#plan .rowId {
    background-color: grey;
    font-weight: bold;
    white-space: nowrap;
    text-align: left;
    padding-left: 1em;
    padding-right: 1em;
}

#newVersion{
    font-size: 70%;
    padding: 0.5em;
    font-weight: bold;
    border: 1px solid #8baa43;
    color: #8baa43
}


#newVersion legend{
    color: #8baa43
}
#newVersion a{
    text-decoration: none;
    color: #8baa43
}

#plan .booked {
    background-color: #8baa43;
}

#plan .otherSeat {
    background-color: blue;
}

#plan .ownSeat {
    background-color: #8baa43;
}

#plan .splitRow{
    background-color: transparent;
    border: none;	
    height: 0.2em;
}

#plan .blockDescriptionEmpty, #plan .seatCounterEmpty{
    background-color: transparent;
    border: none;	
    height: 1em;
}

#plan .blockDescription{
    background-color: #e6e6e6;
    border: none;	
    text-align:center;
    font-size: 80%;
    height: 1em;
    font-style:italic;
    padding-top: 0em;
    padding-bottom: 0em;
}

#prios{
    float:right;	
    margin: 1em;
    border: 1px solid black;
}
.prioName{
    padding: 0.5em;
}
.prioColor{
    width: 2em;
}


.headerRowSpacerTop{
    background-color: transparent;
    border: none !important;	
    height: 1.5em !important;	
}
.headerRowSpacerBottom{
    background-color: transparent;
    border: none !important;	
    height: 0.5em !important;	
}
.headerRow{
    background-color: #e6e6e6;
    border: none;	
    text-align:center;
    font-size: 80%;
    height: 1em;
    font-style:italic;
    padding-top: 0em;
    padding-bottom: 0em;
}

#plan .seatCounter{
    background-color: #e6e6e6;
    border: none;	
    text-align:center;
    font-size: 80%;
    font-style:italic;
    height: 1em;
    padding-top: 0em;
    padding-bottom: 0em;
}

.bottomPaddingAction{
    margin-bottom: 1em;
    display: inline-block;
}

.actions{
    display: block;
    height: 2em;
    margin-bottom:1em;
}

.loginButton{
    float: right;
    background: white !important;
    color: grey !important;
    font-weight: normal !important;
    font-size:0.85em !important;
    text-decoration: underline !important;
    padding: 0 !important;
}

.loginButton:hover {
    color: black;
}

.callback .question{
    margin-bottom: 1em;
    display: block;
}

#bookingsInformation{
    display: block;
    margin-top: 1em;
    margin-bottom: 1em;
}

#copyright{
    text-align: right;
    display: block;
    font-size: 8px;
    margin-top: 2px;
}
#copyright a{
    text-decoration: none;
    color: black;
    cursor: pointer;
}

td:before {
    display: none;
}

@media only screen and (max-width: 50em) {
		
	.labeledOutput label {
		float: none;
	}
	
	#overview, #overview thead, #overview tbody, #overview th, #overview td, #overview tr {
		display: block;
	}
	
	/* Hide .dataTable table headers (but not display: none;, for
accessibility) */
	#overview thead {
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	#overview tr:not(:last-child) {
		margin-bottom: 1rem;
	}
	
	#overview{
		border: none;
	}

	#overview tr { 
		border: 1px solid black;
  		padding: 1rem;

	}
	
	#overview td:before { /* Now like a .dataTable table header */
		display: block;
		position: absolute;
		/* Top/left values mimic padding */
		top: 0rem;
		left: 0rem;
		width: 6rem;
		font-weight: bold;
		white-space: nowrap;
		text-align: left;
		padding-top: 0.5em;
		padding-bottom: 0.5em;
		color: black;
	}
	
	#overview td{
  		min-height: 1.25rem;
  		line-height: 1.25;
  		border-left: 0px !important;
  		width: auto;
		border: none !important;
		position: relative;
		padding-left: 6rem;
	}
	
	
	#overview td input{
		display: block;
	}
	
	#overview td a{		
		text-decoration: none;
	}
	
	#overview td:nth-of-type(7),td:nth-of-type(5) {
		text-align: left;
	}
	
	#overview .seats{
		text-align: left;
	}
	
	
	
	#overview .noEvents:before{
		display: none;
	}
	#overview .noEvents{
		padding-left: 0rem;
	}	
}